Delete a Lexicon Slot - Cognigy Documentation
Delete a Lexicon Slot
Endpoint
POST /v2.0/lexicons/{lexiconId}/entries/{entryId}/slots/{slotId}
Request Example
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries/{entryId}/slots/{slotId} \
--header 'X-API-Key: <api-key>'
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries/{entryId}/slots/{slotId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)
const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries/{entryId}/slots/{slotId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Possible Response Status Codes
204: Successfully removed the slot from the entry.400: Bad Request Error. Validation failed. Missing payload.401: Unauthorized Error.402: Payment Required Error. Validation failed. Missing payload.403: Forbidden Error.404: Not Found Error.405: Method Not Allowed Error.409: Conflict Error.413: Payload Too Large Error.500: Internal Server Error.501: Not Implemented Error.502: Bad Gateway Error.503: Service Unavailable Error.504: Gateway Timeout Error.